Skip to main content
GET
/
v1
/
analysis-results
/
{analysisResultId}
Read Analysis Result
curl --request GET \
  --url https://{tenant}.mindbridge.ai/api/v1/analysis-results/{analysisResultId} \
  --header 'Authorization: Bearer <token>'
{
  "version": 123,
  "id": "<string>",
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "analysisId": "<string>",
  "engagementId": "<string>",
  "analysisTypeId": "<string>",
  "interim": true,
  "analysisPeriods": [
    {
      "startDate": "2023-12-25",
      "endDate": "2023-12-25",
      "id": "<string>",
      "interimAsAtDate": "2023-12-25"
    }
  ],
  "reportingPeriodConfigurationId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.mindbridge.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

analysisResultId
string
required

Response

200 - application/json

OK

version
integer<int64>
required

The data integrity version, to ensure data consistency.

id
string

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

analysisId
string

Identifies the associated analysis.

engagementId
string

Identifies the associated engagement.

analysisTypeId
string

Identifies the type of analysis.

interim
boolean

Indicates whether or not the analysis is using an interim time frame.

analysisPeriods
object[]

Details about the specific analysis periods under audit.

reportingPeriodConfigurationId
string

Identifies the associated reporting period configuration. If null the analysis uses a standard reporting period.